gnutls_x509_trust_list_add_named_crt(3)

NAME
gnutls_x509_trust_list_add_named_crt - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_add_named_crt(gnutls_x509_trust_list_t list, gnutls_x509_crt_t cert, const void * name, size_t name_size, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

gnutls_x509_crt_t cert
    A certificate

const void * name
    An identifier for the certificate

size_t name_size
    The size of the identifier

unsigned int flags
    should be 0.

DESCRIPTION
This function will add the given certificate to the trusted list and associate it with a name. The certificate will not be be used for verification with gnutls_x509_trust_list_verify_crt() but with gnutls_x509_trust_list_verify_named_crt() or gnutls_x509_trust_list_verify_crt2() - the latter only since GnuTLS 3.4.0 and if a hostname is provided. In principle this function can be used to set individual "server" certificates that are trusted by the user for that specific server but for no other purposes. The certificate cert must not be deinitialized during the lifetime of the list .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/